Name:		keychain
Summary:	Agent manager for OpenSSH, ssh.com, Sun SSH, and GnuPG
Version:	2.6.1
Release:	1%{?dist}
License:	GPL
Group:		Applications/Internet
URL:		http://www.gentoo.org/proj/en/keychain/
Source0:	http://dev.gentoo.org/~agriffis/keychain/%{name}-%{version}.tar.bz2
Source1:	keychain.sh
Source2:	keychain.csh
Source3:	README.Fedora
Patch0:		keychain-manpage.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

%prep
%setup -q
%patch0 -p1
sed -i -e 's|/usr/ucb:||' keychain

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 755 keychain %{buildroot}%{_bindir}/keychain
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/keychain.sh
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/keychain.csh
install -pm 644 keychain.1 %{buildroot}%{_mandir}/man1
install -pm 644 %{SOURCE3} README.Fedora

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README README.Fedora
%config(noreplace) %{_sysconfdir}/profile.d/keychain.sh
%config(noreplace) %{_sysconfdir}/profile.d/keychain.csh
%{_bindir}/keychain
%{_mandir}/man1/keychain.1*

%changelog
* Sat Nov 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.6.1-1
- Update to 2.6.1.
- Invoke keychain with --noask in opt-in scripts in non-interactive shells
  to fix scp'ing to an opt-in enabled account for which keychain hasn't run.
- Make opt-in config work the same way with zsh as with other shells.
- Replace tweaks in manpage patch with more generic instructions.
- Make profile.d snippets non-executable (#35714).
- Preserve timestamps of installed files, other cosmetics.

* Tue Aug 16 2005  Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.5-2
- Added test for homedir mismatch in opt-in scripts, covering
  `sudo -s' (reported by Ville Skyttä).

* Fri Aug 05 2005  Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.5-1
- Updated to new upstream version
- Removed keychain.pod from %%doc.

* Wed Jul 27 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.4.1-2
- Added manpage patch and %%prep removal of non existing path
  (thanks Ville Skyttä)
- Added opt-in mechanism through profile.d scripts for all
  login shells Fedora ships.

* Sun Jul 10 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.4.1-1
- Initial build, based on upstream .spec by Aron Griffis.
